> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar archivos del ticket sin exponer enlaces de almacenamiento



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/tickets/{ticketId}/activity-files
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/activity-files:
    get:
      tags:
        - Ticket files
      summary: Listar archivos del ticket sin exponer enlaces de almacenamiento
      operationId: TicketActivityFilesController_list
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 50
            default: 20
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            maxLength: 2048
            type: string
        - name: activityId
          required: false
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketActivityFilesPageDto'
components:
  schemas:
    TicketActivityFilesPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TicketActivityFileDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    TicketActivityFileDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sourceActivityId:
          type: string
          format: uuid
        fileName:
          type: string
        mimeType:
          type: string
        size:
          type: integer
          minimum: 0
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - sourceActivityId
        - fileName
        - mimeType
        - size
        - createdAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.